# emc_vnx_sg_member – Manage storage group member on EMC VNX

New in version 2.7.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This module manages the members of an existing storage group.

## Requirements

The below requirements are needed on the host that executes this module.

- An EMC VNX Storage device.

- Ansible 2.7.

- storops (0.5.10 or greater). Install using ‘pip install storops’.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
lunid - / required |  | Lun id to be added.
name - / required |  | Name of the Storage group to manage.
sp_address string / required |  | Address of the SP of target/secondary storage.
sp_password string | Default: "sysadmin" | password for accessing SP.
sp_user string | Default: "sysadmin" | Username for accessing SP.

state
-

Choices:
- present ←
- absent

Indicates the desired lunid state.
`present` ensures specified lunid is present in the Storage Group.
`absent` ensures specified lunid is absent from Storage Group.

## Notes

Note

- The modules prefixed with emc_vnx are built to support the EMC VNX storage platform.

## Examples

    - name: Add lun to storage group
      emc_vnx_sg_member:
        name: sg01
        sp_address: sp1a.fqdn
        sp_user: sysadmin
        sp_password: sysadmin
        lunid: 100
        state: present

    - name: Remove lun from storage group
      emc_vnx_sg_member:
        name: sg01
        sp_address: sp1a.fqdn
        sp_user: sysadmin
        sp_password: sysadmin
        lunid: 100
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
hluid integer | success | LUNID that hosts attached to the storage group will see.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Luca ‘remix_tj’ Lorenzetto (@remixtj)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.